This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 113875

Summary: Radeon XFree86-DRI fails with Blender
Product: [Fedora] Fedora Reporter: Paolo Prandini <pprandin>
Component: XFree86Assignee: Mike A. Harris <mharris>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: high Docs Contact:
Priority: medium    
Version: 1Keywords: MoveUpstream
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-20 10:18:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Paolo Prandini 2004-01-19 14:12:13 EST
Description of problem:
Fedora Core 1 implements test drivers for ATI Radeon 9200 (aka rv280)
when DRI is active (load "dri" in XF86Config) glxgears works fine,
giving about 1400 FPS (good for a test driver... :-) ), Celestia works
great but Blender as long as you press F12 or go to menus to Render
current frame aborts and exits.

Version-Release number of selected component (if applicable):
XFree86-xfs-4.3.0-42
XFree86-Mesa-libGLU-4.3.0-42
XFree86-tools-4.3.0-42
XFree86-devel-4.3.0-42
XFree86-libs-4.3.0-42
XFree86-xauth-4.3.0-42
XFree86-75dpi-fonts-4.3.0-42
XFree86-libs-data-4.3.0-42
XFree86-Mesa-libGL-4.3.0-42
XFree86-font-utils-4.3.0-42
XFree86-truetype-fonts-4.3.0-42
XFree86-base-fonts-4.3.0-42
XFree86-4.3.0-42
XFree86-100dpi-fonts-4.3.0-42
XFree86-xdm-4.3.0-42
XFree86-twm-4.3.0-42


How reproducible:
Always and easily.

Steps to Reproduce:
1. Activate DRI 
2. Launch Blender (latest is 2.3.1a) 
3. Press F12 or Render the current frame from the Render Menu
4. Blender Aborts
  
Actual results:
Abort

Expected results:
Render Frame

Additional info:
If Blender is launched in terminal the error caught there is :
blender: r200_vtxfmt.c:1087: r200VtxfmtUnbindContext: Assertion
`vb.context == ctx' failed.
Aborted

When DRI is disabled blender works fine, although Celestia is
painfully slow.

When used in a mirror environment with ATI binary drivers Blender
works fine with DRI enabled
Comment 1 Mike A. Harris 2004-01-22 19:11:49 EST
Please report this problem to the XFree86 and DRI projects upstream,
by filing a bug report at http://bugs.xfree86.org and describing
the problem there.  That will ensure that the maximum number of
developers who actively work on DRI are aware of this issue, and
can comment on wether it has been fixed already subsequent to
XFree86 4.3.0, or is a still pertinent, or previously unknown issue
which needs investigation.  Once you've filed your report upstream,
please paste the upstream bug URL here, and I will track the issue
in the upstream bug tracker, and review any bug fix that becomes
available for possible inclusion in a future update.

TIA
Comment 2 Paolo Prandini 2004-01-24 11:49:22 EST
Hi.
Here follows the link. (hope I understod what 'upstream bug URL' means)
if not let me know.

http://bugs.xfree86.org/show_bug.cgi?id=1113

best regards
- Paolo
Comment 3 Mike A. Harris 2004-01-26 04:24:14 EST
Thanks, I see your report was marked as a duplicate, and that I
had commented on the duplicate before.  Hard to remember all of
the problems that get reported it seems.  ;o)

The patch attached there seems a bit invasive to me to be included
as a bugfix in our future XFree86 4.3.0 erratum, however it is good
to see that it is fixed in XFree86 and DRI CVS repositories for
future releases of XFree86.  Once I integrate XFree86 4.4.0 into
Fedora Core, and future RHEL releases, this problem should be
resolved.  Due to the risk of regression from a patch of that size
however, I'm going to defer this issue for the present, and
re-evaluate it in the future.

Changing status to 'DEFERRED'
Comment 4 Paolo Prandini 2004-01-28 17:21:09 EST
Thanks Mike!
I do agree with you.

Best Regards
Paolo
Comment 5 Mike A. Harris 2005-04-20 10:18:09 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".